/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.model.application.impl.user;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;

import com.hack23.cia.model.application.impl.common.UserSession;

/**
 * The Class AbstractParliamentActionEvent.
 */
@Entity
public abstract class AbstractParliamentActionEvent extends
        AbstractUserActionEvent {

    /**
     * The Enum Operation.
     */
    public enum Operation {

        /** The Forum. */
		Forum,

/** The Grading. */
Grading,

/** The Hot or not. */
HotOrNot,

/** The Opinions. */
Opinions,

/** The Short_ comment. */
Short_Comment,

/** The Vote. */
Vote;
    }

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;
    
    /** The citizen operation. */
    private Operation citizenOperation;

    /**
     * Instantiates a new abstract parliament action event.
     */
    public AbstractParliamentActionEvent() {
        super();
    }

    /**
     * Instantiates a new abstract parliament action event.
     *
     * @param createdDate the created date
     * @param userSession the user session
     */
    public AbstractParliamentActionEvent(final Date createdDate,
            final UserSession userSession) {
        super(createdDate, userSession);
    }

    /**
     * Gets the citizen operation.
     *
     * @return the citizen operation
     */
    @Enumerated(EnumType.STRING)
    public Operation getCitizenOperation() {
        return citizenOperation;
    }

    /**
     * Sets the citizen operation.
     *
     * @param citizenOperation the new citizen operation
     */
    public void setCitizenOperation(Operation citizenOperation) {
        this.citizenOperation = citizenOperation;
    }
    

}
