/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.model.sweden.impl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * The Class RegisterInformation.
 */
public class RegisterInformation implements Serializable {

    /** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1551456381369005380L;

	/** The agreements. */
    private List<String> agreements = new ArrayList<String>();

    /** The allowances. */
    private List<String> allowances = new ArrayList<String>();

    /** The electoral area. */
    private String electoralArea = "";

    /** The houses. */
    private List<String> houses = new ArrayList<String>();

    /** The income activity. */
    private List<String> incomeActivity = new ArrayList<String>();

    /** The name. */
    private String name = "";

    /** The nothing declared. */
    private String nothingDeclared = "";

    /** The party. */
    private String party = "";

    /** The public roles. */
    private List<String> publicRoles = new ArrayList<String>();

    /** The roles. */
    private List<String> roles = new ArrayList<String>();

    /** The stocks. */
    private List<String> stocks = new ArrayList<String>();

    /**
     * Gets the agreements.
     *
     * @return the agreements
     */
    public List<String> getAgreements() {
        return agreements;
    }

    /**
     * Gets the allowances.
     *
     * @return the allowances
     */
    public List<String> getAllowances() {
        return allowances;
    }

    /**
     * Gets the electoral area.
     *
     * @return the electoral area
     */
    public String getElectoralArea() {
        return electoralArea;
    }

    /**
     * Gets the houses.
     *
     * @return the houses
     */
    public List<String> getHouses() {
        return houses;
    }

    /**
     * Gets the income activity.
     *
     * @return the income activity
     */
    public List<String> getIncomeActivity() {
        return incomeActivity;
    }

    /**
     * Gets the name.
     *
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * Gets the nothing declared.
     *
     * @return the nothing declared
     */
    public String getNothingDeclared() {
        return nothingDeclared;
    }

    /**
     * Gets the party.
     *
     * @return the party
     */
    public String getParty() {
        return party;
    }

    /**
     * Gets the public roles.
     *
     * @return the public roles
     */
    public List<String> getPublicRoles() {
        return publicRoles;
    }

    /**
     * Gets the roles.
     *
     * @return the roles
     */
    public List<String> getRoles() {
        return roles;
    }

    /**
     * Gets the stocks.
     *
     * @return the stocks
     */
    public List<String> getStocks() {
        return stocks;
    }

    /**
     * Sets the agreements.
     *
     * @param agreements the new agreements
     */
    public void setAgreements(List<String> agreements) {
        this.agreements = agreements;
    }

    /**
     * Sets the allowances.
     *
     * @param allowances the new allowances
     */
    public void setAllowances(List<String> allowances) {
        this.allowances = allowances;
    }

    /**
     * Sets the electoral area.
     *
     * @param electoralArea the new electoral area
     */
    public void setElectoralArea(String electoralArea) {
        this.electoralArea = electoralArea;
    }

    /**
     * Sets the houses.
     *
     * @param houses the new houses
     */
    public void setHouses(List<String> houses) {
        this.houses = houses;
    }

    /**
     * Sets the income activity.
     *
     * @param incomeActivity the new income activity
     */
    public void setIncomeActivity(List<String> incomeActivity) {
        this.incomeActivity = incomeActivity;
    }

    /**
     * Sets the name.
     *
     * @param name the new name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Sets the nothing declared.
     *
     * @param nothingDeclared the new nothing declared
     */
    public void setNothingDeclared(String nothingDeclared) {
        this.nothingDeclared = nothingDeclared;
    }

    /**
     * Sets the party.
     *
     * @param party the new party
     */
    public void setParty(String party) {
        this.party = party;
    }

    /**
     * Sets the public roles.
     *
     * @param publicRoles the new public roles
     */
    public void setPublicRoles(List<String> publicRoles) {
        this.publicRoles = publicRoles;
    }

    /**
     * Sets the roles.
     *
     * @param roles the new roles
     */
    public void setRoles(List<String> roles) {
        this.roles = roles;
    }

    /**
     * Sets the stocks.
     *
     * @param stocks the new stocks
     */
    public void setStocks(List<String> stocks) {
        this.stocks = stocks;
    }
}
