/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.admin;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.common.Agency;
import com.hack23.cia.model.application.impl.common.Portal;

/**
 * The Class PortalResponse.
 */
public class PortalResponse extends AbstractConfigurationResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The portal. */
    private final Portal portal;

    /**
     * Instantiates a new portal response.
     *
     * @param userSessionDTO the user session dto
     * @param agency the agency
     */
    public PortalResponse(final UserSessionDTO userSessionDTO, final Agency agency) {
        super(userSessionDTO,agency);
        this.portal = null;
    }

    /**
     * Instantiates a new portal response.
     *
     * @param userSessionDTO the user session dto
     * @param agency the agency
     * @param portal the portal
     */
    public PortalResponse(final UserSessionDTO userSessionDTO, final Agency agency,
            final Portal portal) {
        super(userSessionDTO,agency);
        this.portal = portal;
    }

    /**
     * Gets the portal.
     *
     * @return the portal
     */
    public final Portal getPortal() {
        return portal;
    }
}
