/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.common;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;

/**
 * The Class ErrorResponse.
 */
public class ErrorResponse extends AbstractServiceResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The error message. */
    private final String errorMessage;

    /**
     * Instantiates a new error response.
     *
     * @param userSessionDTO the user session dto
     * @param errorMessage the error message
     */
    public ErrorResponse(final UserSessionDTO userSessionDTO,
            final String errorMessage) {
       super(userSessionDTO);
        this.errorMessage = errorMessage;
    }

    /**
     * Gets the error message.
     *
     * @return the error message
     */
    public final String getErrorMessage() {
        return this.errorMessage;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.api.ServiceResponse#getResult()
     */
    @Override
    public final ServiceResult getResult() {
        return ServiceResult.FAILURE;
    }

}
