/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.common;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.common.ImageContent;

/**
 * The Class ImageContentResponse.
 */
public class ImageContentResponse extends AbstractServiceResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;
    
    /** The image content. */
    private final ImageContent imageContent;

    /**
     * Instantiates a new image content response.
     *
     * @param userSessionDTO the user session dto
     * @param imageContent the image content
     */
    public ImageContentResponse(final UserSessionDTO userSessionDTO,
			final ImageContent imageContent) {
		super(userSessionDTO);
		this.imageContent = imageContent;
	}

	/**
	 * Gets the image content.
	 *
	 * @return the image content
	 */
	public final ImageContent getImageContent() {
		return imageContent;
	}

	/*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.api.ServiceResponse#getResult()
     */
    @Override
    public final ServiceResult getResult() {
        return ServiceResult.SUCCESS;
    }

}