/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import com.hack23.cia.model.application.impl.user.UserAccountActionEvent.Operation;

/**
 * The Class AbstractUserAccountRequest.
 */
public abstract class AbstractUserAccountRequest extends AbstractUserRequest {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The operation. */
    private final Operation operation;

    /**
     * Instantiates a new abstract user account request.
     *
     * @param userSessionId the user session id
     * @param operation the operation
     */
    public AbstractUserAccountRequest(final Long userSessionId,final Operation operation) {
        super(userSessionId);
        this.operation = operation;
    }

    /**
     * Gets the operation.
     *
     * @return the operation
     */
    public final Operation getOperation() {
        return operation;
    }

}
