/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

/**
 * The Class BallotRequest.
 */
public class BallotRequest extends AbstractParliamentRequest {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The ballot id. */
    private final Long ballotId;

    /**
     * Instantiates a new ballot request.
     *
     * @param userSessionId the user session id
     * @param ballotId the ballot id
     */
    public BallotRequest(final Long userSessionId, final Long ballotId) {
        super(userSessionId);
        this.ballotId = ballotId;
    }

    /**
     * Gets the ballot id.
     *
     * @return the ballot id
     */
    public final Long getBallotId() {
        return ballotId;
    }
}
