/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import java.util.List;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.sweden.impl.Vote;

/**
 * The Class BallotResponse.
 */
public class BallotResponse extends AbstractParliamentResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The find last votes by ballot id. */
    private final List<Vote> findLastVotesByBallotId;

    /**
     * Instantiates a new ballot response.
     *
     * @param userSessionDTO the user session dto
     * @param findLastVotesByBallotId the find last votes by ballot id
     */
    public BallotResponse(final UserSessionDTO userSessionDTO,
            final List<Vote> findLastVotesByBallotId) {
       super(userSessionDTO);
        this.findLastVotesByBallotId = findLastVotesByBallotId;
    }

    /**
     * Gets the find last votes by ballot id.
     *
     * @return the find last votes by ballot id
     */
    public final List<Vote> getFindLastVotesByBallotId() {
        return findLastVotesByBallotId;
    }
}
