/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.sweden.impl.CommitteeReport;

/**
 * The Class CommitteeReportResponse.
 */
public class CommitteeReportResponse extends AbstractParliamentResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The committee report. */
    private final CommitteeReport committeeReport;

    /**
     * Instantiates a new committee report response.
     *
     * @param userSessionDTO the user session dto
     * @param committeeReport the committee report
     */
    public CommitteeReportResponse(final UserSessionDTO userSessionDTO,
            final CommitteeReport committeeReport) {
       super(userSessionDTO);
        this.committeeReport = committeeReport;
    }

    /**
     * Gets the committee report.
     *
     * @return the committee report
     */
    public final CommitteeReport getCommitteeReport() {
        return committeeReport;
    }
}
