/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;

/**
 * The Class ExternalUrlResponse.
 */
public class ExternalUrlResponse extends AbstractUserResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The title. */
    private final String title;

    /** The url. */
    private final String url;

    /**
     * Instantiates a new external url response.
     *
     * @param userSessionDTO the user session dto
     * @param title the title
     * @param url the url
     */
    public ExternalUrlResponse(final UserSessionDTO userSessionDTO,
            final String title, final String url) {
       super(userSessionDTO);
        this.title = title;
        this.url = url;
    }

    /**
     * Gets the title.
     *
     * @return the title
     */
    public final String getTitle() {
        return title;
    }

    /**
     * Gets the url.
     *
     * @return the url
     */
    public final String getUrl() {
        return url;
    }
}
