/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import com.hack23.cia.model.application.impl.user.UserAccountActionEvent.Operation;

/**
 * The Class LoginRequest.
 */
public class LoginRequest extends AbstractUserAccountRequest {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The password. */
    private final String password;

    /** The user name. */
    private final String userName;

    /**
     * Instantiates a new login request.
     *
     * @param userSessionId the user session id
     * @param operation the operation
     * @param userName the user name
     * @param password the password
     */
    public LoginRequest(final Long userSessionId, final Operation operation,final String userName,
            final String password) {
        super(userSessionId,operation);
        this.userName = userName;
        this.password = password;
    }

    /**
     * Gets the password.
     *
     * @return the password
     */
    public final String getPassword() {
        return password;
    }

    /**
     * Gets the user name.
     *
     * @return the user name
     */
    public final String getUserName() {
        return userName;
    }
}
