/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

/**
 * The Class SearchRequest.
 */
public class SearchRequest extends AbstractParliamentRequest {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The search argument. */
    private final String searchArgument;

    /**
     * Instantiates a new search request.
     *
     * @param userSessionId the user session id
     * @param searchArgument the search argument
     */
    public SearchRequest(final Long userSessionId, final String searchArgument) {
        super(userSessionId);
        this.searchArgument = searchArgument;
    }

    /**
     * Gets the search argument.
     *
     * @return the search argument
     */
    public final String getSearchArgument() {
        return searchArgument;
    }
}
