/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.api.user;

import java.util.List;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.sweden.impl.ParliamentMember;

/**
 * The Class TopListResponse.
 */
public class TopListResponse extends AbstractParliamentResponse {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The parliament members. */
    private final List<ParliamentMember> parliamentMembers;

    /**
     * Instantiates a new top list response.
     *
     * @param userSessionDTO the user session dto
     * @param parliamentMembers the parliament members
     */
    public TopListResponse(final UserSessionDTO userSessionDTO,
            final List<ParliamentMember> parliamentMembers) {
       super(userSessionDTO);
        this.parliamentMembers = parliamentMembers;
    }

    /**
     * Gets the parliament members.
     *
     * @return the parliament members
     */
    public final List<ParliamentMember> getParliamentMembers() {
        return parliamentMembers;
    }
}
