/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.dao;

import java.util.List;

import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.transaction.annotation.Transactional;

import com.hack23.cia.model.application.impl.common.User;

/**
 * The Class UserDAOImpl.
 */
public class UserDAOImpl extends GenericHibernateDAO<User, Long> implements
        UserDAO {

    /**
     * Instantiates a new user dao impl.
     */
    public UserDAOImpl() {
        super(User.class);
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.dao.UserDAO#getIfValidUser(java.lang.String,
     * java.lang.String)
     */
    @SuppressWarnings("unchecked")
	@Transactional(readOnly = true)
    public final User getIfValidUser(final String username,
            final String encodedPassword) {
        DetachedCriteria findUserByName = DetachedCriteria.forClass(User.class);
        findUserByName.add(Restrictions.eq("username", username)); //$NON-NLS-1$
        findUserByName.add(Restrictions.eq("password", encodedPassword)); //$NON-NLS-1$

        List<User> result = this.getHibernateTemplate().findByCriteria(
                findUserByName);

        User user = null;
        if (!result.isEmpty()) {
            user = result.get(0);
        }
        return user;
    }

}
