/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.service.impl.admin;

import java.util.Date;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.admin.TaskActionEvent;
import com.hack23.cia.model.application.impl.common.ActionEvent;
import com.hack23.cia.model.application.impl.common.UserSession;
import com.hack23.cia.service.api.admin.TaskJobRequest;
import com.hack23.cia.service.api.admin.TaskResponse;
import com.hack23.cia.service.api.common.ServiceResponse;
import com.hack23.cia.service.impl.common.UserSessionService;

/**
 * The Class TaskRequestService.
 */
public class TaskRequestService extends
        AbstractAdminRequestService<TaskJobRequest> {

    /**
     * Instantiates a new task request service.
     *
     * @param userSessionService the user session service
     * @param adminService the admin service
     */
    public TaskRequestService(
            final UserSessionService userSessionService,
            final AdminService adminService) {
        super(userSessionService, adminService);
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * com.hack23.cia.service.impl.common.AbstractGenericService#createActionEvent
     * (com.hack23.cia.service.api.common.AbstractServiceRequest,
     * com.hack23.cia.model.application.UserSession)
     */
    @Override
    public final ActionEvent createActionEvent(
            final TaskJobRequest request, final UserSession userSession) {
        return new TaskActionEvent(new Date(), userSession);
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.common.ServiceHandler#getSupportedService()
     */
    @SuppressWarnings("unchecked")
    @Override
    public final Class getSupportedService() {
        return TaskJobRequest.class;
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.service.common.AbstractGenericServiceHandler#
     * handleServiceRequest(com.hack23.cia.service.api.AbstractServiceRequest)
     */
    @Override
    public final ServiceResponse handleServiceRequest(
            final TaskJobRequest request, final UserSessionDTO userSession) {
        this.getAdminService().startUpdateJob();
        TaskResponse taskResponse = new TaskResponse(
                userSession);
        return taskResponse;
    }
}
