/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.impl.agent.sweden;

import java.util.Date;
import java.util.List;

import com.hack23.cia.model.sweden.impl.CommitteeReport;

/**
 * The Interface CommitteeReportAgent.
 */
public interface CommitteeReportAgent {

    /**
     * Gets the current list.
     *
     * @return the current list
     * @throws Exception the exception
     */
    List<CommitteeReport> getCurrentList() throws Exception;

    /**
     * Gets the decided date if any.
     *
     * @param commiteeReport the commitee report
     * @return the decided date if any
     * @throws Exception the exception
     */
    Date getDecidedDateIfAny(CommitteeReport commiteeReport) throws Exception;

}
