/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.service.impl.common;

import java.util.List;

import com.hack23.cia.service.dao.EventDAO;

/**
 * The Class ActivityServiceImpl.
 */
public class ActivityServiceImpl implements ActivityService {

    /** The event dao. */
    private final EventDAO eventDAO;

    /**
     * Instantiates a new activity service impl.
     *
     * @param eventDAO the event dao
     */
    public ActivityServiceImpl(final EventDAO eventDAO) {
        super();
        this.eventDAO = eventDAO;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.EventService#getActionEventHistory()
     */
    @SuppressWarnings("unchecked")
	public final List getActionEventHistory() {
        return eventDAO.getActionEventHistory();
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.service.EventService#getResponseTimeHistory()
     */
    @SuppressWarnings("unchecked")
	public final List getResponseTimeHistory() {
        return eventDAO.getResponseTimeHistory();
    }

}
