/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.action.admin;

import com.hack23.cia.model.application.impl.admin.AgencyActionEvent.Operation;
import com.hack23.cia.model.application.impl.common.Agency;

/**
 * The Class AgencyAction.
 */
public class AgencyAction extends AbstractConfigurationAction {

    /** The Constant serialVersionUID. */

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 967092220196995079L;

    /** The agency dto. */
    private final Agency agencyDto;

    /** The agency id. */
    private final Long agencyId;

    /** The operation. */
    private final Operation operation;
    
    /**
     * Instantiates a new agency action.
     *
     * @param operation the operation
     * @param agencyId the agency id
     */
    public AgencyAction(final Operation operation, final Long agencyId) {
        super();
        this.operation = operation;
        this.agencyId = agencyId;
        this.agencyDto=null;
    }

    /**
     * Instantiates a new agency action.
     *
     * @param operation the operation
     * @param agencyId the agency id
     * @param agencyDto the agency dto
     */
    public AgencyAction(final Operation operation, final Long agencyId,final Agency agencyDto) {
        super();
        this.operation = operation;
        this.agencyId = agencyId;
        this.agencyDto= agencyDto;
    }

    /**
     * Gets the agency dto.
     *
     * @return the agency dto
     */
    public final Agency getAgencyDto() {
        return agencyDto;
    }

    /**
     * Gets the agency id.
     *
     * @return the agency id
     */
    public final Long getAgencyId() {
        return agencyId;
    }

    /**
     * Gets the operation.
     *
     * @return the operation
     */
    public final Operation getOperation() {
        return operation;
    }
}
