/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.action.common;


/**
 * The Class AbstractAction.
 */
public abstract class AbstractAction implements ControllerAction {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -7222132948668349251L;

    /** The action category. */
    private final ActionCategory actionCategory;

    /**
     * Instantiates a new abstract action.
     *
     * @param actionCategory the action category
     */
    public AbstractAction(final ActionCategory actionCategory) {
        super();
        this.actionCategory = actionCategory;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.hack23.cia.web.action.ControllerAction#getActionType()
     */
    public final ActionCategory getActionCategory() {
        return actionCategory;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public final String toString() {
        return getClass().getSimpleName()
                + ": Action -- " + getActionCategory(); //$NON-NLS-1$
    }
}
