/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.action.common;

import thinwire.ui.event.ActionListener;
import thinwire.ui.event.KeyPressListener;

/**
 * The listener interface for receiving controllerAction events.
 * The class that is interested in processing a controllerAction
 * event implements this interface, and the object created
 * with that class is registered with a component using the
 * component's <code>addControllerActionListener<code> method. When
 * the controllerAction event occurs, that object's appropriate
 * method is invoked.
 *
 * @see ControllerActionEvent
 */
public interface ControllerActionListener extends ActionListener,
        KeyPressListener {

	/**
	 * Handle user action.
	 *
	 * @param userObject the user object
	 */
	void handleUserAction(final Object userObject);
}
