/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.action.user;

/**
 * The Class CommitteeReportAction.
 */
public class CommitteeReportAction extends AbstractParliamentAction {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -3675606064713409741L;

    /** The committee report id. */
    private final Long committeeReportId;

    /**
     * Instantiates a new committee report action.
     *
     * @param committeeReportId the committee report id
     */
    public CommitteeReportAction(final Long committeeReportId) {
        super();
        this.committeeReportId = committeeReportId;
    }

    /**
     * Gets the committee report id.
     *
     * @return the committee report id
     */
    public final Long getCommitteeReportId() {
        return committeeReportId;
    }
}
