/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.viewfactory.impl.user;

import com.hack23.cia.web.viewfactory.api.user.CommitteeReportModelAndView;
import com.hack23.cia.web.views.common.ActiveUserView;
import com.hack23.cia.web.views.user.CommitteeReportSummaryPanel;

/**
 * The Class CommitteeReportViewFactoryImpl.
 */
public class CommitteeReportViewFactoryImpl extends
        AbstractParliamentViewFactoryImpl<CommitteeReportModelAndView> {

    /**
     * Instantiates a new committee report view factory impl.
     */
    public CommitteeReportViewFactoryImpl() {
        super();
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.viewfactory.impl.common.ViewFactory#
     * getSupportedModelAndView()
     */
    @SuppressWarnings("unchecked")
    @Override
    public final Class getSupportedModelAndView() {
        return CommitteeReportModelAndView.class;
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.hack23.cia.web.viewfactory.impl.common.AbstractViewFactoryImpl#
     * processSpecificView
     * (com.hack23.cia.web.viewfactory.api.common.AbstractModelAndView)
     */
    @Override
    public final void processSpecificView(
            final CommitteeReportModelAndView modelAndView) {
        ActiveUserView.changeContentView(new CommitteeReportSummaryPanel(modelAndView.getUserSessionDTO(),
                modelAndView.getCommitteeReport()));

    }
}
