/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.views.components.gridboxes;

import java.util.Set;

import thinwire.ui.GridBox;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.admin.LanguageContentActionEvent;
import com.hack23.cia.model.application.impl.common.Agency;
import com.hack23.cia.model.application.impl.common.LanguageContent;
import com.hack23.cia.web.action.admin.LanguageContentAction;
import com.hack23.cia.web.common.BeanLocator;

/**
 * The Class LanguageContentGridBox.
 */
public class LanguageContentGridBox extends GridBox {

    /**
     * Instantiates a new language content grid box.
     *
     * @param userSessionDTO the user session dto
     * @param agency the agency
     * @param set the set
     */
    public LanguageContentGridBox(final UserSessionDTO userSessionDTO,final Agency agency,final Set<LanguageContent> set) {
        super();
        this.setVisibleHeader(true);
        this.addActionListener(ACTION_CLICK, BeanLocator
                .getApplicationActionListener());

        this.getColumns().add(GridBoxColumnFactory.getKeyHeader(userSessionDTO));
        this.getColumns().add(GridBoxColumnFactory.getValueHeader(userSessionDTO));
        

        for (LanguageContent languageContent : set) {
            GridBox.Row row = new GridBox.Row(languageContent.getContentPropertyName(),languageContent.getContent());
            row.setUserObject(new LanguageContentAction(
                    LanguageContentActionEvent.Operation.Update,agency,languageContent));
            this.getRows().add(row);
        }        
    }

}
