/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.views.components.gridboxes;

import thinwire.ui.GridBox;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.admin.LanguageAgencyActionEvent;
import com.hack23.cia.model.application.impl.common.Agency;
import com.hack23.cia.model.application.impl.common.Language;
import com.hack23.cia.web.action.admin.LanguageAgencyAction;
import com.hack23.cia.web.common.BeanLocator;

/**
 * The Class LanguagesGridBox.
 */
public class LanguagesGridBox extends GridBox {

    /**
     * Instantiates a new languages grid box.
     *
     * @param userSessionDTO the user session dto
     * @param agency the agency
     */
    public LanguagesGridBox(final UserSessionDTO userSessionDTO,final Agency agency) {
        super();
        this.setVisibleHeader(true);
        this.addActionListener(ACTION_CLICK, BeanLocator
                .getApplicationActionListener());

        this.getColumns().add(GridBoxColumnFactory.getNameHeader(userSessionDTO));

        for (Language lang : agency.getLanguages()) {
            GridBox.Row row = new GridBox.Row(lang.getName());
            row.setUserObject(new LanguageAgencyAction(
                    LanguageAgencyActionEvent.Operation.Update, agency, lang));
            this.getRows().add(row);
        }
    }

}
