/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.web.views.components.gridboxes;

import java.util.Set;

import thinwire.ui.GridBox;

import com.hack23.cia.model.application.dto.common.UserSessionDTO;
import com.hack23.cia.model.application.impl.admin.PortalActionEvent;
import com.hack23.cia.model.application.impl.common.Portal;
import com.hack23.cia.web.action.admin.PortalAction;
import com.hack23.cia.web.common.BeanLocator;

/**
 * The Class PortalsGridBox.
 */
public class PortalsGridBox extends GridBox {

    /**
     * Instantiates a new portals grid box.
     *
     * @param userSessionDTO the user session dto
     * @param portals the portals
     */
    public PortalsGridBox(final UserSessionDTO userSessionDTO,final Set<Portal> portals) {
        super();

        this.setVisibleHeader(true);
        this.addActionListener(ACTION_CLICK, BeanLocator
                .getApplicationActionListener());

        this.getColumns().add(GridBoxColumnFactory.getNameHeader(userSessionDTO));
        this.getColumns().add(GridBoxColumnFactory.getPortalMatchesUrlHeader(userSessionDTO));

        for (Portal portal : portals) {
            GridBox.Row row = new GridBox.Row(portal.getName(), portal
                    .getMatchesUrl());
            row.setUserObject(new PortalAction(
                    PortalActionEvent.Operation.Update, portal));
            this.getRows().add(row);
        }
    }
}
