/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.web.views.components.panels;

import thinwire.ui.Button;
import thinwire.ui.Component;
import thinwire.ui.Label;
import thinwire.ui.Panel;
import thinwire.ui.layout.TableLayout;

import com.hack23.cia.web.common.BeanLocator;

/**
 * The Class CategoryDescriptionPanel.
 */
public class CategoryDescriptionPanel extends Panel {

    /**
     * Instantiates a new category description panel.
     *
     * @param filePath the file path
     * @param actionDescription the action description
     * @param userObject the user object
     * @param longDescription the long description
     */
    public CategoryDescriptionPanel(final String filePath,
            final String actionDescription, final Object userObject,
            final String longDescription) {
        setLayout(new TableLayout(new double[][] { { 0, 0 }, // Column Widths
                { 0 } }, // Row Heights
                1, // Margin around edge of container
                5)); // Spacing between cells

        Button actionButton = new Button(actionDescription, filePath);
        actionButton.setLimit("0,0,1,1"); //$NON-NLS-1$
        actionButton.setUserObject(userObject);
        actionButton.addActionListener(Component.ACTION_CLICK, BeanLocator
                .getApplicationActionListener());

        Label longDescriptionLabel = new Label();
        longDescriptionLabel.setWrapText(true);
        longDescriptionLabel.setText(longDescription);
        longDescriptionLabel.setLimit("1,0,1,1"); //$NON-NLS-1$      

        getChildren().add(actionButton);
        getChildren().add(longDescriptionLabel);
    }

}
